Bug 89303 - (BIOS SMM)upgrade to latest 7.2, 7.3, 8.0 erratum kernel causes hang shortly after configuring ptys on certain compaq dl and ml series machines
(BIOS SMM)upgrade to latest 7.2, 7.3, 8.0 erratum kernel causes hang shortly ...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i686 Linux
medium Severity high
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-04-22 10:26 EDT by Peter J. Dohm
Modified: 2007-04-18 12:53 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-05 14:48:30 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter J. Dohm 2003-04-22 10:26:36 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.2.1) Gecko/20030225

Description of problem:
both the 7.2 and 7.3 erratum SMP kernels are hanging at or about the location in
the boot proces where the configuration of ptys occurs.  just past this is the
initialization of the generic block-device driver.  i've upgraded firmware on
multiple machines to try to alleviate the problem to no avail.

this has show itself on:

compaq dl360 g2 2-cpu
compaq ml370 g2 1-cpu

it does not happen on ALL iterations of this equipment, only certain ones. 
haven't determined what the common denominator is between them yet, but i
suspect they use the same northbridge.

uniprocessor kernels work in ALL cases without hanging.


Version-Release number of selected component (if applicable):
kernel-2.4.18-27.7.xsmp kernel-2.4.18-27.8.0smp

How reproducible:
Sometimes

Steps to Reproduce:
1. locate one of these compaq dl360 g2's or compaq ml370 g2's that has whatever
odd characteristic is unique
2. upgrade to the 2.4.18-27.7.x or 2.4.18-27.8.0 SMP kernels
3. reboot with the new kernel
4. cry
    

Actual Results:  hang after:

Detected PS/2 Mouse Port.
pty: 2048 Unix98 ptys configured.
<hang>

on occation, it will also print out the printk for the configuration of
oprofile, or even the generic block-device driver.

Expected Results:  it should have booted without hanging.

Additional info:

description covers it...
Comment 1 wingc 2003-04-22 16:18:15 EDT
I may have seen the same bug here. We have several Compaq/HP DL380G2 servers.

During testing, they ran fine until a reboot. After a reboot they hung.
This happened a few times, but not consistently.


I don't have all the details, but after looking at the log files I think that at
least one of these machines booted up normally once and hung a few minutes
later. (after all of the startup scripts finished)

After a power cycle, all of the machines that froze came up properly.




I haven't seen the same problem on these machines since, if it reoccurs I will
try to get some more information. I didn't have a serial console on them
initially, now I do. (I will get a backtrace via Magic SysRq if possible)


This is running Red Hat 7.2 with the latest errata kernel (2.4.18-27.7.x, i686
SMP) The machines have dual 1.4 Ghz Pentium III cpus.
Comment 2 Alan Cox 2003-06-09 09:59:08 EDT
For the DL380 hang on soft boot upgrade the BIOS should fix it.
Does the original reporter also only see this from a soft boot ?
Comment 3 Dave Jones 2004-01-05 14:48:30 EST
numerous errata kernels out since this bug report including the 2.4.18
-> 2.4.20 rebasing, NEEDINFO > 6 months + EOL'd since Jan 1st - closing.

Note You need to log in before you can comment on or make changes to this bug.